org.postgis

## Class MultiLineString

- java.lang.Object
- - org.postgis.Geometry
  - - org.postgis.ComposedGeom
    - - org.postgis.MultiLineString

All Implemented Interfaces:
  Serializable

    public class MultiLineString
    extends ComposedGeom

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.postgis.ComposedGeom

`EMPTY, subgeoms`

### Fields inherited from class org.postgis.Geometry

`ALLTYPES, dimension, GEOMETRYCOLLECTION, haveMeasure, LINEARRING, LINESTRING, MULTILINESTRING, MULTIPOINT, MULTIPOLYGON, POINT, POLYGON, srid, type, UNKNOWN_SRID`

### Constructor Summary

Constructors
Constructor and Description
`MultiLineString()`
`MultiLineString(LineString[] lines)`
`MultiLineString(String value)`
`MultiLineString(String value, boolean haveM)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Geometry[]` `createSubGeomArray(int nlines)` Return the appropriate instance of the subgeometry array - this encapsulates subclass specific array instantiation
`protected Geometry` `createSubGeomInstance(String token, boolean haveM)` Return the appropriate instance of the subgeometry - this encapsulates subclass specific constructor calls
`LineString` `getLine(int idx)`
`LineString[]` `getLines()`
`int` `hashCode()` java.lang.Object hashCode implementation
`double` `length()`
`int` `numLines()`

### Methods inherited from class org.postgis.ComposedGeom

`checkConsistency, equalsintern, getFirstPoint, getLastPoint, getPoint, getSubGeometry, innerWKT, isEmpty, iterator, mediumWKT, numGeoms, numPoints, setSrid`

### Methods inherited from class org.postgis.Geometry

`equals, equals, getDimension, getSrid, getType, getTypeString, getTypeString, getValue, initSRID, isMeasured, outerWKT, outerWKT, parseSRID, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultiLineString

    public MultiLineString()

#### MultiLineString

    public MultiLineString(LineString[] lines)

#### MultiLineString

    public MultiLineString(String value)
                    throws SQLException

Throws:
  `SQLException`

#### MultiLineString

    public MultiLineString(String value,
                           boolean haveM)
                    throws SQLException

Throws:
  `SQLException`

### Method Detail

#### hashCode

    public int hashCode()

Description copied from class: `Geometry`
java.lang.Object hashCode implementation

Overrides:
  `hashCode` in class `ComposedGeom`

#### createSubGeomInstance

    protected Geometry createSubGeomInstance(String token,
                                             boolean haveM)
                                      throws SQLException

Description copied from class: `ComposedGeom`
Return the appropriate instance of the subgeometry - this encapsulates subclass specific constructor calls

Specified by:
  `createSubGeomInstance` in class `ComposedGeom`
Throws:
  `SQLException`

#### createSubGeomArray

    protected Geometry[] createSubGeomArray(int nlines)

Description copied from class: `ComposedGeom`
Return the appropriate instance of the subgeometry array - this encapsulates subclass specific array instantiation

Specified by:
  `createSubGeomArray` in class `ComposedGeom`

#### numLines

    public int numLines()

#### getLines

    public LineString[] getLines()

#### getLine

    public LineString getLine(int idx)

#### length

    public double length()